<?php
namespace front\Views;

class ShopClient
{
    public static function addressEdit($values): string
    {
        $tpl = new \Shared\Tpl\Tpl;
        if (is_array($values)) {
            foreach ($values as $key => $val) {
                $tpl->$key = $val;
            }
        }
        return $tpl->render('shop-client/address-edit');
    }

    public static function clientAddresses($values): string
    {
        $tpl = new \Shared\Tpl\Tpl;
        if (is_array($values)) {
            foreach ($values as $key => $val) {
                $tpl->$key = $val;
            }
        }
        return $tpl->render('shop-client/client-addresses');
    }

    public static function clientMenu($values): string
    {
        $tpl = new \Shared\Tpl\Tpl;
        if (is_array($values)) {
            foreach ($values as $key => $val) {
                $tpl->$key = $val;
            }
        }
        return $tpl->render('shop-client/client-menu');
    }

    public static function clientOrders($values): string
    {
        $tpl = new \Shared\Tpl\Tpl;
        if (is_array($values)) {
            foreach ($values as $key => $val) {
                $tpl->$key = $val;
            }
        }
        return $tpl->render('shop-client/client-orders');
    }

    public static function recoverPassword(): string
    {
        $tpl = new \Shared\Tpl\Tpl;
        return $tpl->render('shop-client/recover-password');
    }

    public static function miniLogin(): string
    {
        global $client;
        $tpl = new \Shared\Tpl\Tpl;
        $tpl->client = $client;
        return $tpl->render('shop-client/mini-login');
    }

    public static function loginForm($values = ''): string
    {
        $tpl = new \Shared\Tpl\Tpl;
        if (is_array($values)) {
            foreach ($values as $key => $val) {
                $tpl->$key = $val;
            }
        }
        return $tpl->render('shop-client/login-form');
    }

    public static function registerForm(): string
    {
        $tpl = new \Shared\Tpl\Tpl;
        return $tpl->render('shop-client/register-form');
    }
}
